Kyoto Cabinet

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Enumerations
- Enumerator

- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- r
- s
- t
- u
- v
- w
- x
- y
- ~

Here is a list of all documented class members with links to the class documentation for each member:

### - d -

- db : KCDB , KCIDX , kyotocabinet::DB::Cursor , kyotocabinet::PlantDB< BASEDB, DBTYPE >::Cursor , kyotocabinet::PolyDB::Cursor , kyotocabinet::BasicDB::Cursor , kyotocabinet::ProtoDB< STRMAP, DBTYPE >::Cursor , kyotocabinet::StashDB::Cursor , kyotocabinet::CacheDB::Cursor , kyotocabinet::DirDB::Cursor , kyotocabinet::TextDB::Cursor , kyotocabinet::HashDB::Cursor
- DEBUG : kyotocabinet::BasicDB::Logger
- decompress() : kyotocabinet::LZO , kyotocabinet::LZMA , kyotocabinet::Compressor , kyotocabinet::ZLIB
- DEFLATE : kyotocabinet::ZLIB
- defrag() : kyotocabinet::HashDB , kyotocabinet::PlantDB< BASEDB, DBTYPE >
- demote() : kyotocabinet::SpinRWLock
- detach() : kyotocabinet::Thread
- dfunit() : kyotocabinet::HashDB
- DirDB() : kyotocabinet::DirDB
- DirStream() : kyotocabinet::DirStream
- do_finish() : kyotocabinet::TaskQueue
- do_start() : kyotocabinet::TaskQueue
- do_task() : kyotocabinet::TaskQueue
- dump_snapshot() : kyotocabinet::BasicDB
- DUPREC : kyotocabinet::BasicDB::Error